# Pausing

## Pausing

The [subnet owner](/network/subnet-owner.md) can pause an active subnet for up to 4 days.

This will pause all subnet functionality on-chain, including electing validators and emissions distribution.

**If the subnet is not unpaused**, it will decrease the subnet reputation it has on each epoch that it is not unpaused until it hits the minimum allowable subnet reputation and is removed.

### Extrinsic

```rust
pub fn pause_subnet(
    origin: OriginFor<T>, 
    subnet_id: u32
)
```

## Unpausing

When unpaused, it will unpause the subnet to begin consensus on the following epoch, and push each [registered](/network/subnet-node/classifications.md#registered) subnet node in the queue back for the length of epochs the subnet was paused for.

{% hint style="info" %}
All [Idle](/network/subnet-node/classifications.md#idle) classification nodes are not pushed back.
{% endhint %}

### Extrinsic

```rust
pub fn unpause_subnet(
    origin: OriginFor<T>, 
    subnet_id: u32
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypertensor.org/network/subnet/pausing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
